#1986 closed defect (fixed)

Unused file: c/src/lib/libcpu/shared/src/cache_aligned_malloc.c

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@…, gedare@… Blocked By:
Blocking:

Description

The file c/src/lib/libcpu/shared/src/cache_aligned_malloc.c is unused.

The only function it exports (rtems_cache_aligned_malloc) is not
declared in any header and therefore is not accessible without applying
trickery.

I'd suggest to either remove this file or and add the function "rtems_cache_aligned_malloc" to a public header.

As with similar findings before, I am not sure about what is desired and what
to do about. In this case, I am leaning to remove the file.

Change History (5)

comment:1 Changed on Dec 9, 2011 at 2:11:49 PM by Sebastian Huber

Cc: Sebastian Huber added

comment:2 Changed on Dec 9, 2011 at 10:39:21 PM by Gedare Bloom

Cc: Gedare Bloom added

comment:3 Changed on Dec 10, 2011 at 3:04:39 AM by Ralf Corsepius

Resolution: fixed
Status: newclosed

Decl add to cpukit/rtems/include/rtems/rtems/cache.h

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on Oct 10, 2017 at 6:33:12 AM by Sebastian Huber

Component: libcpubsps
Note: See TracTickets for help on using tickets.